package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability587/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAxChannelSkuStatusUpdateRequest struct {
	/*
	   请求入参     */
	ChannelSkuUpdateStatusReq *domain.AlibabaAxChannelSkuStatusUpdateChannelSkuUpdateStatusReq `json:"channel_sku_update_status_req" required:"true" `
}

func (s *AlibabaAxChannelSkuStatusUpdateRequest) SetChannelSkuUpdateStatusReq(v domain.AlibabaAxChannelSkuStatusUpdateChannelSkuUpdateStatusReq) *AlibabaAxChannelSkuStatusUpdateRequest {
	s.ChannelSkuUpdateStatusReq = &v
	return s
}

func (req *AlibabaAxChannelSkuStatusUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ChannelSkuUpdateStatusReq != nil {
		paramMap["channel_sku_update_status_req"] = util.ConvertStruct(*req.ChannelSkuUpdateStatusReq)
	}
	return paramMap
}

func (req *AlibabaAxChannelSkuStatusUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
